declare const fileTypeChecker: {
    validateFileType(file: number[] | ArrayBuffer | Uint8Array, types: string[], options?: import("./core").ValidateFileTypeOptions | undefined): boolean;
    isAAC(file: number[] | ArrayBuffer | Uint8Array, options?: import("./core").FileValidatorOptions | undefined): boolean;
    isAMR(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isFLAC(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isM4A(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isMP3(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isWAV(file: number[] | ArrayBuffer | Uint8Array): boolean;
    is7Z(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isLZH(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isRAR(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isZIP(file: number[] | ArrayBuffer | Uint8Array, options?: import("./core").ZipValidatorOptions | undefined): boolean;
    isAVIF(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isBMP(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isBPG(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isCR2(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isEXR(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isGIF(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isHEIC(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isICO(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isJPEG(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isPBM(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isPGM(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isPNG(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isPPM(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isPSD(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isWEBP(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isBLEND(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isELF(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isEXE(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isMACHO(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isINDD(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isORC(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isPARQUET(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isPDF(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isPS(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isRTF(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isSQLITE(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isSTL(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isTTF(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isDOC(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isPCAP(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isAVI(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isFLV(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isM4V(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isMKV(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isMOV(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isMP4(file: number[] | ArrayBuffer | Uint8Array, options?: import("./core").FileValidatorOptions | undefined): boolean;
    isOGG(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isSWF(file: number[] | ArrayBuffer | Uint8Array): boolean;
    isWEBM(file: number[] | ArrayBuffer | Uint8Array): boolean;
    detectFile(file: number[] | ArrayBuffer | Uint8Array, options?: import("./core").DetectFileOptions | undefined): import("./core").DetectedFileInfo | undefined;
};
export = fileTypeChecker;
